Halide 22.0.0 Halide compiler and libraries

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Halide::Internal::StubOutputBufferBase Class Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::StubOutputBufferBase:

## Public Member Functions
Realization | realize (std::vector< int32_t > sizes)
template<typename... Args>
Realization | realize (Args &&...args)
template<typename Dst >
void | realize (Dst dst)

## Protected Member Functions
Target | get_target () const
| StubOutputBufferBase ()
| StubOutputBufferBase (const Func &f, const std::shared_ptr< AbstractGenerator > &generator)

## Protected Attributes
Func | f
std::shared_ptr< AbstractGenerator > | generator

## Detailed Description

Definition at line 1322 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ StubOutputBufferBase() [1/2]

Halide::Internal::StubOutputBufferBase::StubOutputBufferBase | ( |  | ) |
| protected

## ◆ StubOutputBufferBase() [2/2]

Halide::Internal::StubOutputBufferBase::StubOutputBufferBase | ( | const Func & | f,
|  | const std::shared_ptr< AbstractGenerator > & | generator
| ) |  |
| explicit protected

## Member Function Documentation

## ◆ get_target()

Target Halide::Internal::StubOutputBufferBase::get_target | ( |  | ) | const
| protected

Referenced by realize().

## ◆ realize() [1/3]

Realization Halide::Internal::StubOutputBufferBase::realize | ( | std::vector< int32_t > | sizes | ) |

## ◆ realize() [2/3]

template<typename... Args>

Realization Halide::Internal::StubOutputBufferBase::realize | ( | Args &&... | args | ) |
| inline

Definition at line 1336 of file Generator.h.

References f, get_target(), and Halide::Func::realize().

## ◆ realize() [3/3]

template<typename Dst >

void Halide::Internal::StubOutputBufferBase::realize | ( | Dst | dst | ) |
| inline

Definition at line 1341 of file Generator.h.

References f, get_target(), and Halide::Func::realize().

## Member Data Documentation

## ◆ f

Func Halide::Internal::StubOutputBufferBase::f
| protected

Definition at line 1324 of file Generator.h.

Referenced by Halide::Internal::GeneratorOutput_Buffer< T >::operator=(), realize(), and Halide::Internal::StubOutputBuffer< T >::to_output_buffers().

## ◆ generator

std::shared_ptr<AbstractGenerator> Halide::Internal::StubOutputBufferBase::generator
| protected

Definition at line 1325 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h